LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Mandriva (http://www.linuxquestions.org/questions/mandriva-30/)
-   -   NewToLinux: Some beginner questions (Video Card, Random Freezes) (http://www.linuxquestions.org/questions/mandriva-30/newtolinux-some-beginner-questions-video-card-random-freezes-219393/)

MoonDoggie42 08-18-2004 05:06 PM

Please Help :)
 
Hello Everyone,

--------DISCLAIMER of sorts------------------
May I first point out that this forum etiquette is amazing. I have read nothing but optimistic posts for newbies to Linux (like myself) and helpful comments, which is a very different atmosphere from most forums with people who ask "newbie" questions (Flames are a must, however here, this is not the case) Thank you Linuxquestions.org members for the breath of fresh air in forum etiquette.
-------------------------------------------------------

On with my question. In my signature I've listed my system specs. I am a power winXP user and computer user very familiar with programming in C, C++, Java, PHP, HTML, Visual Basic, Basic, etc. I have started the transition to Open-Source Software and am very excited to be moving to Linux (as hopefully a primary OS in the nearer future).

I just installed Mandrake 10 (which is an easy RPM distro that some people on this forum recommended for new users, also SuSe) on my second hd.
I have an ATI Radeon 9500pro (with the bios flashed to open up the additional pipelines, making it virtually a 9700pro). I downloaded the drivers from ATI and run the RPM package, when installing I gives this error message :

" file /usr/X11R6/lib/libGL.so.1.2 from install of fglrx-4.3.0-3.11.1 conflicts with file from package libxfree86-4.3-30mdk "

I could use some insight what this means.


Also, when running my KNotes (or KMail etc) I get this error

"KDEInit could not launch 'kontact-knotes.sh'

It worked correctly the first time I ran KNotes/KMail etc, and didn't give me this error, that it does, after I have changed nothing.


Also:

When I go into MCC, Then I click on "Boot" then "Boot Loader", it just sits and says "Loading...Please wait" and does not continue any further. If I click "Auto-Login" or the "Boot theme" they work just fine, but the "Boot Loader" just halts at "Loading...Please wait"...any ideas?


Last and not least: I get random freezes, at boot-up, when opening OpenOffice, when in MCC, very random. It may be related to the video card issue but I doubt it. Is there any way to diagnose what is happening? Any help is appreciated.

Thank you all very much,
Colin Senner

MoonDoggie42 08-18-2004 05:27 PM

An update, I forced the RPM and got this message

=========================================================
[root@localhost ATI]# rpm --force -ihv fglrx-4.3.0-3.11.1.i386.rpm
Preparing... ########################################### [100%]
1:fglrx ########################################### [100%]
*** Trying to install a precompiled kernel module.
*** WARNING ***
Tailored kernel module for fglrx not present in your system.
You must go to /lib/modules/fglrx/build_mod subdir
and execute './make.sh' to build a fully customed kernel module.
Afterwards go to /lib/modules/fglrx and run './make_install.sh'
in order to install the module into your kernel's module repository.
(see readme.txt for more details.)

As of now you can still run your XServer in 2D, but hardware acclerated
OpenGL will not work and 2D graphics will lack performance.

failed.
*** Error: no kernel module build environment - please consult readme.
Installed: qt3 (gcc 3.2) based control panel application
===
ATI display drivers successfully installed
please run 'fglrxconfig' now
===
[root@localhost ATI]# ls
fglrx-4.3.0-3.11.1.i386.rpm
[root@localhost ATI]# ./fglrxconfig
bash: ./fglrxconfig: No such file or directory
[root@localhost ATI]#
============================================

What directory does fglrxconfig reside in? My find utility freezes when I use it in a directory in anything but the /home directory.
Should I do what it says? "execute './make.sh' etc? in that directory?

From what I gleam from this message I don't have the correct dependancies for the ATI drivers. Are my drivers installed?


Thank you very much,
Colin

MoonDoggie42 08-18-2004 05:29 PM

NOTE: Fixed the MCC Boot problem. (Not sure how, but it works now).


All times are GMT -5. The time now is 03:19 AM.